be.ehealth.businessconnector.hub.builders

## Class RequestBuilder

- java.lang.Object
- - be.ehealth.businessconnector.hub.builders.RequestBuilder

-     public final class RequestBuilder
      extends Object

  Request Builder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessRightType` | `buildAccessRightType(String xml)` It builds a AccessRightType.
    `ConsentHCPartyType` | `buildConsentHCPartyType(String xml)` It builds a ConsentHCPartyType.
    `ConsentType` | `buildConsentType(String xml)` It builds a ConsentType.
    `HCPartyAdaptedType` | `buildHCPartyAdaptedType(String xml)` It builds a HCPartyAdaptedType.
    `HCPartyIdType` | `buildHCPartyIdType(String xml)` It builds a HCPartyIdType.
    `KmehrHeaderDeclareTransaction` | `buildKmehrHeaderDeclareTransaction(String xml)` It builds a KmehrHeaderDeclareTransaction.
    `Kmehrmessage` | `buildKmehrmessage(String xml)` It builds a Kmehrmessage.
    `LocalSearchType` | `buildLocalSearchType(String name)` It builds a LocalSearchType based on the value given as argument.
    `PatientIdType` | `buildPatientIdType(String xml)` It builds a KmehrHeaderDeclareTransaction.
    `PersonType` | `buildPersonType(String xml)` It builds a PersonType.
    `<T> T` | `buildRequest(String request, Class<T> clazz)` It builds a Jaxb object given the string.
    `SelectGetHCPartyPatientConsentType` | `buildSelectGetHCPartyPatientConsentType(String xml)` It builds a SelectGetHCPartyPatientConsentType.
    `SelectGetPatientAuditTrailType` | `buildSelectGetPatientAuditTrailType(String xml)` It builds a SelectGetPatientAuditTrailType.
    `SelectGetPatientConsentType` | `buildSelectGetPatientConsentType(String xml)` It builds a SelectGetPatientConsentType.
    `SelectRevokeAccessRightType` | `buildSelectRevokeAccessRightType(String xml)` It builds a SelectRevokeAccessRightType.
    `TherapeuticLinkType` | `buildTherapeuticLinkType(String xml)` It builds a TherapeuticLinkType.
    `TransactionBaseType` | `buildTransactionBaseType(String xml)` It builds a TransactionBaseType.
    `TransactionIdType` | `buildTransactionIdType(String xml)` It builds a TransactionIdType.
    `TransactionWithPeriodType` | `buildTransactionWithPeriodType(String xml)` It builds a TransactionWithPeriodType.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestBuilder

          public RequestBuilder()

  - ### Method Detail

    - #### buildRequest

          public <T> T buildRequest(String request,
                                    Class<T> clazz)
                             throws TechnicalConnectorException

      It builds a Jaxb object given the string.
      Type Parameters:
        `T` -
      Parameters:
        `request` - the request as string.
        `clazz` - the class of the jaxb type.
      Returns:
        the generated jaxb object.
      Throws:
        `TechnicalConnectorException`

    - #### buildKmehrHeaderDeclareTransaction

          public KmehrHeaderDeclareTransaction buildKmehrHeaderDeclareTransaction(String xml)
                                                                           throws TechnicalConnectorException

      It builds a KmehrHeaderDeclareTransaction.
      Parameters:
        `xml` - input xml
      Returns:
        the KmehrHeaderDeclareTransaction object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildKmehrmessage

          public Kmehrmessage buildKmehrmessage(String xml)
                                         throws TechnicalConnectorException

      It builds a Kmehrmessage.
      Parameters:
        `xml` - input xml
      Returns:
        the Kmehrmessage object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildPatientIdType

          public PatientIdType buildPatientIdType(String xml)
                                           throws TechnicalConnectorException

      It builds a KmehrHeaderDeclareTransaction.
      Parameters:
        `xml` - input xml
      Returns:
        the KmehrHeaderDeclareTransaction object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildTransactionIdType

          public TransactionIdType buildTransactionIdType(String xml)
                                                   throws TechnicalConnectorException

      It builds a TransactionIdType.
      Parameters:
        `xml` - input xml
      Returns:
        the TransactionIdType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildLocalSearchType

          public LocalSearchType buildLocalSearchType(String name)
                                               throws TechnicalConnectorException

      It builds a LocalSearchType based on the value given as argument.
      Parameters:
        `name` - the name of the local search type.
      Returns:
        the LocalSearchType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildTransactionWithPeriodType

          public TransactionWithPeriodType buildTransactionWithPeriodType(String xml)
                                                                   throws TechnicalConnectorException

      It builds a TransactionWithPeriodType.
      Parameters:
        `xml` - input xml
      Returns:
        the TransactionWithPeriodType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildTransactionBaseType

          public TransactionBaseType buildTransactionBaseType(String xml)
                                                       throws TechnicalConnectorException

      It builds a TransactionBaseType.
      Parameters:
        `xml` - input xml
      Returns:
        the TransactionBaseType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildHCPartyAdaptedType

          public HCPartyAdaptedType buildHCPartyAdaptedType(String xml)
                                                     throws TechnicalConnectorException

      It builds a HCPartyAdaptedType.
      Parameters:
        `xml` - input xml
      Returns:
        the HCPartyAdaptedType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildHCPartyIdType

          public HCPartyIdType buildHCPartyIdType(String xml)
                                           throws TechnicalConnectorException

      It builds a HCPartyIdType.
      Parameters:
        `xml` - input xml
      Returns:
        the HCPartyIdType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildPersonType

          public PersonType buildPersonType(String xml)
                                     throws TechnicalConnectorException

      It builds a PersonType.
      Parameters:
        `xml` - input xml
      Returns:
        the PersonType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildConsentHCPartyType

          public ConsentHCPartyType buildConsentHCPartyType(String xml)
                                                     throws TechnicalConnectorException

      It builds a ConsentHCPartyType.
      Parameters:
        `xml` - input xml
      Returns:
        the ConsentHCPartyType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildConsentType

          public ConsentType buildConsentType(String xml)
                                       throws TechnicalConnectorException

      It builds a ConsentType.
      Parameters:
        `xml` - input xml
      Returns:
        the ConsentType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildSelectGetPatientConsentType

          public SelectGetPatientConsentType buildSelectGetPatientConsentType(String xml)
                                                                       throws TechnicalConnectorException

      It builds a SelectGetPatientConsentType.
      Parameters:
        `xml` - input xml
      Returns:
        the SelectGetPatientConsentType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildTherapeuticLinkType

          public TherapeuticLinkType buildTherapeuticLinkType(String xml)
                                                       throws TechnicalConnectorException

      It builds a TherapeuticLinkType.
      Parameters:
        `xml` - input xml
      Returns:
        the TherapeuticLinkType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildSelectGetHCPartyPatientConsentType

          public SelectGetHCPartyPatientConsentType buildSelectGetHCPartyPatientConsentType(String xml)
                                                                                     throws TechnicalConnectorException

      It builds a SelectGetHCPartyPatientConsentType.
      Parameters:
        `xml` - input xml
      Returns:
        the SelectGetHCPartyPatientConsentType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildAccessRightType

          public AccessRightType buildAccessRightType(String xml)
                                               throws TechnicalConnectorException

      It builds a AccessRightType.
      Parameters:
        `xml` - input xml
      Returns:
        the AccessRightType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildSelectRevokeAccessRightType

          public SelectRevokeAccessRightType buildSelectRevokeAccessRightType(String xml)
                                                                       throws TechnicalConnectorException

      It builds a SelectRevokeAccessRightType.
      Parameters:
        `xml` - input xml
      Returns:
        the SelectRevokeAccessRightType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

    - #### buildSelectGetPatientAuditTrailType

          public SelectGetPatientAuditTrailType buildSelectGetPatientAuditTrailType(String xml)
                                                                             throws TechnicalConnectorException

      It builds a SelectGetPatientAuditTrailType.
      Parameters:
        `xml` - input xml
      Returns:
        the SelectGetPatientAuditTrailType object.
      Throws:
        `TechnicalConnectorException` - unexpected error.

Connector Packaging generic 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.